import { CIConfig } from './config.model';
import * as i0 from "@angular/core";
export declare class CIService {
    private platformId;
    isSsr: boolean;
    config: {
        token: string;
        domain: string | true;
        customDomain: boolean;
        lazyLoading: boolean;
        lazyLoadOffset: number;
        placeholderBackground: string;
        baseURL: string;
        apiVersion: string;
        presets: {
            xs: string;
            sm: string;
            md: string;
            lg: string;
            xl: string;
        };
        ratio: number;
        params: any;
        imageSizeAttributes: string;
        exactSize: boolean;
        doNotReplaceURL: boolean;
        limitFactor: number;
        devicePixelRatioList: number[];
        autoAlt: boolean;
        previewQualityFactor: number;
        minLowQualityWidth: number;
        delay: number;
    };
    constructor(ciConfig: CIConfig, platformId: Object);
    getWindowInnerWidth(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<CIService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CIService>;
}
//# sourceMappingURL=lib.service.d.ts.map