import { InjectionToken } from '@angular/core';
export declare const CI_CONFIG: InjectionToken<CIConfig>;
export interface CIConfig {
    token: string;
    domain: string;
    customDomain: boolean;
    lazyLoading: boolean;
    lazyLoadOffset: number;
    placeholderBackground: string;
    baseUrl: string;
    baseURL: string;
    apiVersion: string;
    presets: {
        xs: string;
        sm: string;
        md: string;
        lg: string;
        xl: string;
    };
    ratio: number;
    params: string;
    imageSizeAttributes: 'use' | 'ignore' | 'take-ratio';
    exactSize: boolean;
    doNotReplaceURL: boolean;
    limitFactor: number;
    devicePixelRatioList: number[];
    lowQualityPreview: {
        minImgWidth: number;
    };
    autoAlt: boolean;
    delay: number;
}
//# sourceMappingURL=config.model.d.ts.map